Skip to main content
GET
/
api
/
tools
curl https://api.artificialstudio.ai/api/tools \
  -H "Authorization: YOUR_API_KEY"
{
  "data": [
    {
      "slug": "create-image",
      "name": "Create Image",
      "description": "Generate images from text prompts",
      "type": "image",
      "outputType": "image",
      "thumbnail": "https://..."
    },
    {
      "slug": "create-video",
      "name": "Create Video",
      "description": "Create videos from text or images",
      "type": "video",
      "outputType": "video",
      "thumbnail": "https://..."
    }
  ]
}
Retrieve a list of all available AI tools.

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key

Response Fields

FieldTypeDescription
dataarrayList of tools
data[].slugstringTool identifier (use in /api/run)
data[].namestringDisplay name
data[].descriptionstringTool description
data[].typestringTool category
data[].outputTypestringOutput media type: image, video, audio, text, object
data[].thumbnailstringTool thumbnail URL
curl https://api.artificialstudio.ai/api/tools \
  -H "Authorization: YOUR_API_KEY"
{
  "data": [
    {
      "slug": "create-image",
      "name": "Create Image",
      "description": "Generate images from text prompts",
      "type": "image",
      "outputType": "image",
      "thumbnail": "https://..."
    },
    {
      "slug": "create-video",
      "name": "Create Video",
      "description": "Create videos from text or images",
      "type": "video",
      "outputType": "video",
      "thumbnail": "https://..."
    }
  ]
}